max.hpp File Reference
`#include <gecode/int/rel.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Arithmetic
| Numerical (arithmetic) propagators.

## Enumerations

enum | Gecode::Int::Arithmetic::MaxPropStatus { Gecode::Int::Arithmetic::MPS_ASSIGNED = 1<<0 , Gecode::Int::Arithmetic::MPS_REMOVED = 1<<1 , Gecode::Int::Arithmetic::MPS_NEW_BOUND = 1<<2 }
| Status of propagation for nary max. More...

## Functions

template<class View>
ExecStatus | Gecode::Int::Arithmetic::prop_max_bnd (Space &home, View x0, View x1, View x2)
template<class View>
ExecStatus | Gecode::Int::Arithmetic::prop_nary_max_bnd (Space &home, Propagator &p, ViewArray< View > &x, View y, PropCond pc)